<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_section', 
	array(
		'title'         => __( 'Contact Section', 'luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_section',
			'label'         => __( 'Disable Section', 'luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk Premium' ),
				'off' => __( 'No', 'luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'contactsec', 'contact_section', $color='#ffffff', get_template_directory_uri().'/images/contact.png', 'color');

lzCustomLable($wp_customize, 'counterSectionPadding', 'contact_section', 'Section Padding :');

$wp_customize->add_setting(
    'contactsection_toppadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'contact_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_page_maintitle_heading',
        array(
            'settings'      => 'contact_page_maintitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Heading , Text', 'luzuk' ),
        )
    )
);    

$wp_customize->add_setting(
    'contact_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Inquiry with us', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_maintitle',
    array(
        'settings'      => 'contact_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_text_color', 'contact_section', 'Heading Color', '#FF6F00');

$wp_customize->add_setting(
    'contact_page_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_text',
    array(
        'settings'      => 'contact_page_text',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_heading_color', 'contact_section', 'Text Color', '#8e8e8e');
// ===========Form ==========//

lzCustomLable($wp_customize, 'contactf', 'contact_section', 'Form Section');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'contact_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'inquiry_forminputtextColor', 'contact_section', 'Input Text / Placeholder Color', '#b3b3b3');
// addColorPalatOption($wp_customize, 'inquiry_formfieldbgColor', 'contact_section', 'Field BG Color', 'transport');
addColorPalatOption($wp_customize, 'inquiry_forminputbrdClr', 'contact_section', 'Input Border Color', '#ba7037');
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'contact_section', 'Label Color', '#7a7a78');
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'contact_section', 'Button Text Color', '#ffecde');
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'contact_section', 'Button BG Color', '#FF6F00');
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'contact_section', 'Button Text Hover Color', '#000');
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'contact_section', 'Button BG Hover Color', '#fff');
addColorPalatOption($wp_customize, 'inquiry_formbgColor', 'contact_section', 'BG Color', '#222A35');
addColorPalatOption($wp_customize, 'inquiry_formrbdrColor', 'contact_section', 'Border Right Color', '#fff');

lzCustomLable($wp_customize, 'contact_detailbx', 'contact_section', 'Details Box Setting');

$wp_customize->add_setting(
    'contact_email_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'E-mail', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_email_lable',
    array(
        'settings'      => 'contact_email_lable',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'contact_email',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'infofake@mail.com', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_email',
    array(
        'settings'      => 'contact_email',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Email ID Two', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'contact_location_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_location_lable',
    array(
        'settings'      => 'contact_location_lable',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'contact_location',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2349 stonecoal road new york', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_location',
    array(
        'settings'      => 'contact_location',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'contact_phone_lable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_phone_lable',
    array(
        'settings'      => 'contact_phone_lable',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Lable', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'contact_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(111)-222-333', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_phone',
    array(
        'settings'      => 'contact_phone',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number Two', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'contactarea_color', 'contact_section', 'Section Color Setting');

addColorPalatOption($wp_customize, 'contact_dataphoneiconClr', 'contact_section', 'Icon Color', '#ff7810');
// addColorPalatOption($wp_customize, 'contact_dataphoneiconbgClr', 'contact_section', 'Icon BG Color', '#ffa62e');
addColorPalatOption($wp_customize, 'contact_dataphoneiconhvrClr', 'contact_section', 'Icon Hover Color', '#7034FE');
addColorPalatOption($wp_customize, 'contact_datalblColor', 'contact_section', 'lable Color', '#052C59');
addColorPalatOption($wp_customize, 'contact_dataColor', 'contact_section', 'Address , Email , Phone No. Color', '#052C59');

addColorPalatOption($wp_customize, 'contact_emilhv', 'contact_section', 'Address , Email , Phone No. Hover Color', '#ffa62e');
addColorPalatOption($wp_customize, 'contact_boxbgClr', 'contact_section', 'Details Box BG Color', '#fff');
addColorPalatOption($wp_customize, 'contact_boxmbdrClr', 'contact_section', 'Details Box Border Color', '#ff6f00');